%define logmsg logger -t %{name}/rpm
%define _requires %{?_no_requires:0}%{!?_no_requires:1}
%define _rootdir /usr/local/opmon

Summary: OpServices OpMon libraries
Name: opmon-oplib
Version: %{_op_major_version}.%{_op_minor_version}
Release: %{_op_release}
License: GPL
Group: Applications/System
URL: http://www.opservices.com.br
BuildArch: noarch
Autoreq: 0
Packager: OpServices <info@opservices.com.br>
Vendor: OpServices, http://www.opservices.com.br
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
%if %{_requires}
%if %(test %{_op_major_version} -le 6 -a %{_op_minor_version} -le 3 && echo 1 || echo 0)
Requires: phpseclib, libmemcached, gearmand, opjpgraph, optcpdf, opextjs-4.2.1-1.noarch, mysql-server, mysql, opmon-ioncube_loader >= %{_op_major_version}, wmi, memcached
%else
Requires: phpseclib, libmemcached, gearmand, opjpgraph, optcpdf, opextjs, mysql-server, mysql, opmon-ioncube_loader >= %{_op_major_version}, wmi, memcached
%endif
%endif


Provides: opmon-oplib
Obsoletes: opservices-oplib, opmon-perfparse

%description
These are the OpMon Core PHP libraries

%prep
%setup
rm -rf tests

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/usr/X11R6/lib/X11/fonts/truetype
%{__mkdir} -p %{buildroot}/usr/share/fonts/truetype
%{__mkdir} -p %{buildroot}/etc/my.cnf.d
%{__mkdir} -p %{buildroot}/tmp/
%{__mkdir} -p %{buildroot}%{_rootdir}/share/oplib
%{__mkdir} -p %{buildroot}%{_rootdir}/etc
%{__mkdir} -p %{buildroot}%{_rootdir}/share/gearman/etc
%{__mkdir} -p %{buildroot}%{_rootdir}/share/gearman/workers
%{__mkdir} -p %{buildroot}%{_rootdir}/db
%{__cp} -frp ttf/*.ttf %{buildroot}/usr/X11R6/lib/X11/fonts/truetype/.
%{__cp} -frp ttf/*.ttf %{buildroot}/usr/share/fonts/truetype/.
%{__cp} -frp libphp/ws %{buildroot}%{_rootdir}/share/ws
%{__cp} -frp * %{buildroot}%{_rootdir}/share/oplib
%{__cp} -frp workers/*.conf %{buildroot}%{_rootdir}/share/gearman/etc/
%{__cp} -frp workers/*.php %{buildroot}%{_rootdir}/share/gearman/workers/
%{__cp} -frp libphp/config.php %{buildroot}%{_rootdir}/etc
%{__cp} -frp scripts/updatedb.php %{buildroot}%{_rootdir}/db
%{__cp} -frp scripts/db.php %{buildroot}%{_rootdir}/etc
%{__cp} -frp scripts/my.cnf-mariadb %{buildroot}/etc/my.cnf.d/opmon.cnf
%{__rm} -f %{buildroot}%{_rootdir}/share/gearman/workers/OpMonCmd.php
%{__rm} -f %{buildroot}%{_rootdir}/share/gearman/workers/DiscoveryWorker.php

%pre
/bin/rm -f /usr/local/opmon/share/opservices
if ! /usr/bin/id opuser &>/dev/null; then
        /usr/sbin/useradd -c "opuser" opuser || \
                %logmsg "Unexpected error adding user \"opuser\". Aborting installation."
fi

%post
/bin/rm -fR /usr/local/opmon/share/opservices >/dev/null 2>&1 || :
/bin/ln -s /usr/local/opmon/share/oplib /usr/local/opmon/share/opservices >/dev/null 2>&1 || :

# Adjust php tab on db.php
if [ -f "/etc/init.d/gearman-utils" ]; then
	/etc/init.d/gearman-utils restart >/dev/null 2>&1
fi
%{__mkdir} -p /usr/local/opmon/libexec/custom
/bin/chown apache:users /usr/local/opmon/libexec/custom

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, apache, apache, 0755)
/usr/X11R6/lib/X11/fonts/truetype/verdana.ttf
/usr/X11R6/lib/X11/fonts/truetype/fontawesome-webfont.ttf
/usr/share/fonts/truetype/verdana.ttf
/usr/share/fonts/truetype/fontawesome-webfont.ttf
/usr/local/opmon/etc/config.php
/usr/local/opmon/share/oplib/workers
/usr/local/opmon/share/oplib/scripts
/usr/local/opmon/share/oplib/oplib.spec
/usr/local/opmon/share/oplib/libphp
/usr/local/opmon/share/oplib/libjs
/usr/local/opmon/share/ws
/usr/local/opmon/share/oplib/libcss
/usr/local/opmon/share/oplib/ttf
/tmp/

%defattr(-, root, root, 0755)
/usr/local/opmon/share/gearman/workers/alerts.php
/usr/local/opmon/share/gearman/workers/discovery.php
/usr/local/opmon/share/gearman/workers/discovery-importer.php
/usr/local/opmon/share/gearman/workers/discovery-topology.php
/usr/local/opmon/share/gearman/workers/opmon_cmd.php
/usr/local/opmon/db

%defattr(-, root, root, 0644)
%config(noreplace) /usr/local/opmon/share/gearman/etc/alerts.conf
%config(noreplace) /usr/local/opmon/share/gearman/etc/discovery.conf
%config(noreplace) /usr/local/opmon/share/gearman/etc/discovery-importer.conf
%config(noreplace) /usr/local/opmon/share/gearman/etc/discovery-topology.conf
%config(noreplace) /usr/local/opmon/share/gearman/etc/opmon_cmd.conf
%config(noreplace) /etc/my.cnf.d/opmon.cnf
%config(noreplace) /usr/local/opmon/etc/db.php

%defattr(-, root, root, 1777)
/tmp/
